org.apache.tiles.api

## Class ListAttribute

- java.lang.Object
- - org.apache.tiles.api.Attribute
  - - org.apache.tiles.api.ListAttribute

-     public class ListAttribute
      extends Attribute

  An attribute as a `List`. This attribute associates a name with a list. The list can be found by the property name. Elements in list are retrieved using List methods. This class is used to read configuration files.
  Since:
    2.1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListAttribute()` Constructor.
    `ListAttribute(ListAttribute toCopy)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Attribute element)` Add an element in list.
    `ListAttribute` | `copy()`
    `boolean` | `equals(Object obj)`
    `List<Attribute>` | `getValue()` Returns the list of the attributes that are elements of this attribute.
    `int` | `hashCode()`
    `void` | `inherit(ListAttribute parent)` Inherits elements present in a "parent" list attribute.
    `boolean` | `isInherit()` If true, the attribute will put the elements of the attribute with the same name of the parent definition before the ones specified here.
    `void` | `setInherit(boolean inherit)` If true, the attribute will put the elements of the attribute with the same name of the parent definition before the ones specified here.
    `void` | `setValue(List<Attribute> attributes)` Sets the list of the attributes that are elements of this attribute.

    - ### Methods inherited from class org.apache.tiles.api.Attribute

      `createTemplateAttribute, createTemplateAttribute, getExpressionObject, getRenderer, getRole, getRoles, inherit, isPermitted, setExpressionObject, setRenderer, setRole, setRoles, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListAttribute

          public ListAttribute()

      Constructor.
      Since:
        2.1.0

    - #### ListAttribute

          public ListAttribute(ListAttribute toCopy)

      Copy constructor.
      Parameters:
        `toCopy` - The list attribute to copy.
      Since:
        2.1.3

  - ### Method Detail

    - #### setValue

          public void setValue(List<Attribute> attributes)

      Sets the list of the attributes that are elements of this attribute.
      Parameters:
        `attributes` - The attributes.
      Since:
        3.0.0

    - #### getValue

          public List<Attribute> getValue()

      Returns the list of the attributes that are elements of this attribute.
      Overrides:
        `getValue` in class `Attribute`
      Returns:
        The attributes.
      Since:
        3.0.0

    - #### add

          public void add(Attribute element)

      Add an element in list. We use a property to avoid rewriting a new class.
      Parameters:
        `element` - XmlAttribute to add.
      Since:
        2.1.0

    - #### setInherit

          public void setInherit(boolean inherit)

      If true, the attribute will put the elements of the attribute with the same name of the parent definition before the ones specified here. By default, it is 'false'
      Parameters:
        `inherit` - The "inherit" value.
      Since:
        2.1.0

    - #### isInherit

          public boolean isInherit()

      If true, the attribute will put the elements of the attribute with the same name of the parent definition before the ones specified here. By default, it is 'false'
      Returns:
        inherit The "inherit" value.
      Since:
        2.1.0

    - #### inherit

          public void inherit(ListAttribute parent)

      Inherits elements present in a "parent" list attribute. The elements will be put before the ones already present.
      Parameters:
        `parent` - The parent list attribute.
      Since:
        2.1.0

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Attribute`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Attribute`

    - #### copy

          public ListAttribute copy()

      Overrides:
        `copy` in class `Attribute`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.